/* 
    Author     : Michael Mishin 

    Primary website color: #ffa500
    Website Background color: D3D3D3
*/
html{
    height: 100%;
}
body{
    background-color: #D3D3D3;
}

.ui-datatable .ui-datatable-header {
    background-color: white;
}

.ui-datatable .ui-paginator {
    background-color: white;
}
.ui-datatable .ui-paginator {
    background-color: white;
}
.ui-datatable thead th{
    background-color: white;
}
.ui-datatable rowsPerPageTemplate{
    background-color: white;
}

.salePrice{
    color: red;
    font-weight: bold;
}
.inputBook {
    width: 50px;
}

.genreBook {
    width: 70px;
}
#page-container {
    position: relative;
    min-height: 90vh;
}

.logoContainer{
    height: 50px;
    padding: 0px 15px;
}

.logoSize{
    height: 50px;
}

.bookCoverSize{
    height: 150px;
}

#content {
    padding-bottom: 2.5rem;    /* Footer height */
}

#footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 2.5rem;            /* Footer height */
}

#footer p, #footer ul li{
    color: #AAAAAA;
    font-weight: 300;
    font-size: 1.3em;
}

.footerSection{
    background-color: #2a2a2a;
    color: white;
}

.copyrightSection{
    margin-top: 2em;
    padding: 3em 0em;
    background-color: #222222;
    color: white;
}

.sectionSeparator{
    border-bottom: 1px solid gray;
}

.orangeBackground{
    background-color: #ffa500;
}

.infoSpacing{
    padding-top: 1em;
    padding-bottom: 1em;
    margin-bottom: 3em;
    margin-top: 3em;
}

.noMargin{
    margin: 0;
}

.bigText{
    font-size: 5em;
}

@media screen and (max-width: 600px){
    .bigText{
        font-size: 3em;
    }
    
    .disableForMoblie{
        display: none;
    }
}

.overlayContainer{
    position: relative;
    text-align: center;
    color: white;
}

.imageShape{
    width: 100%;
}

.responsiveImage{
    width: 100%;
    height: auto;
}

/* Centered text */
.absoluteCenter {
    position: absolute;
    top: 35%;
    left: 50%;
    transform: translate(-50%, -50%);
}

@media screen and (max-width: 600px){
    /* Centered text */
    .absoluteCenter {
        position: absolute;
        top: 45%;
        left: 50%;
        transform: translate(-50%, -50%);
    }
}

.verticalInRow{
    height: 100%;
}

.underline{
    background-color: transparent;
    border: none;
    border-bottom: 1px solid white;
}

.textWhite{ color: white;}
.textBlack{ color: black;}

/*------- Text effects -------*/

.glowingText {
    color: #FFFFFF;
    text-shadow: 0 0 10px #FFFFFF;
}

.flameText {
    color: #000000;
    text-shadow: 0 -1px 4px #FFF, 0 -2px 10px #ff0, 0 -10px 20px #ff8000, 0 -18px 40px #F00;
}


/*------- Gradients -------*/

.gradientLightGray{
    background-color: #d3d3d3;/* For browsers that do not support gradients */
    background-image: linear-gradient(#bababa, #d3d3d3);
    border-radius: 20px;
}

.gradientGray{
    background-color: #2a2a2a; /* For browsers that do not support gradients */
    background-image: linear-gradient(#656565, #2a2a2a);
    border-radius: 20px;
}

.innerGrayGredient{
    background: rgb(255,255,255); /* For browsers that do not support gradients */
    background: -moz-radial-gradient(circle, rgba(255,255,255,1) 0%, rgba(211,211,211,1) 30%);
    background: -webkit-radial-gradient(circle, rgba(255,255,255,1) 0%, rgba(211,211,211,1) 30%);
    background: radial-gradient(circle, rgba(255,255,255,1) 0%, rgba(211,211,211,1) 30%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#ffffff",endColorstr="#d3d3d3",GradientType=1);
}

.cardShadow{
    -webkit-box-shadow: 0px 10px 13px -7px #000000, 5px 5px 15px 5px rgba(0,0,0,0); 
    box-shadow: 0px 10px 13px -7px #000000, 5px 5px 15px 5px rgba(0,0,0,0);
}


/*------- Book shelf -------*/

.shelf{
    background: url("#{resource['images/shelf.png']}");
    background-size: 100%;
    background-repeat: no-repeat;
    background-position: bottom center;
    position: relative;
    width: 100%;
    padding-bottom: 95px;
    padding-left: 105px;
    padding-right: 105px;
}

/* makes the secondary shelf disapear when sceen is too small*/
@media screen and (max-width: 600px){
    .shelf{
        display: none;
    }
}

.showcase{
    background: url("#{resource['images/shelf.png']}");
    background-size: 75%;
    background-repeat: no-repeat;
    background-position: bottom center;
    position: relative;
    width: 100%;
    padding-bottom: 75px;
}

.booksOnShelf{
    margin:0 auto;
}

.bookSpacing{
    margin: 0 10px;
}

.shelf .slick-slide img{
    height: 150px;
    padding-top: 15px;
}

.shelf .slick-center img{
    height: 165px;
    padding-top: 0;
} 


/* ----- Buttons ----- */

.browseBtn {
    border-color: transparent;
    background-color: transparent;
    color: white;
}

.browseBtn:hover {
    border-color: transparent;
    background-color: transparent;
    color: white;
}

.adminButton{
    font-weight: bold; border-radius: 25px; background: #f3a433;
}

/* ----- Select bar on menu ----- */
.selectByMenu{
    margin-left:15px; 
    padding-left: 12px;
    padding-top: 5px;
    float: left; 
    width: 175px;
    padding-bottom: 7px;
    border: none;
    background: #bababa;
    font-size: 15px;
    color: #fff;
    border-radius: 3px;
    box-shadow: 0 5px 10px rgba(0,0,0,.5);

    outline: none;
    display:flex;
    cursor: pointer;
}

/* ----- Shopping Cart Table Styling ----- */
.shoppingCartTable 
{
    width: 100%;
}

.shoppingCartTable td, .shoppingCartTable th 
{
    padding: 10px;
}

.shoppingCartTable thead 
{

}

.shoppingCartTable thead th 
{
    font-weight: normal;
    text-align: center;
}

.shoppingCartTable tr
{
    border-bottom: 1px solid gray;
}

.collapsible {
    background-color: transparent;
    margin: 0;
    padding: 0;
    cursor: pointer;
    border: none;
    text-align: left;
    outline: none;
}

.active, .collapsible:hover {

}

.collapsible:after {
    content: '\002B';
    font-weight: bold;
    float: right;
    margin-left: 5px;
}

.active:after {
    content: "\2212";
}

.collapsibleInfo {
    max-height: 0;
    overflow: hidden;

    transition: max-height 0.2s ease-out;
    border-radius: 10px;
    background-color: #f1f1f1;
}

.collapsibleText{
    padding: 10px;
}

/* ----- Select genre on menu ----- */
.pSelectByGenre{
    margin-left: 20px; 
    margin-top: 10px; 
    font-size: 15px; 
    float:left;
}
.selectByGenre{
    margin-left:15px; 
    padding-left: 12px;
    padding-top: 5px;
    float: left; 
    width: 150px;
    padding-bottom: 7px;
    border: none;
    background: #bababa;
    font-size: 15px;
    color: #fff;
    border-radius: 3px;
    box-shadow: 0 5px 10px rgba(0,0,0,.5);
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    -ms-appearance: none;
    display:flex;
    cursor: pointer;
}

/* ----- Back to Top Button ----- */
#backToTop {
    display: inline-block;
    background-color: #FF9800;
    width: 50px;
    height: 50px;
    text-align: center;
    border-radius: 4px;
    position: fixed;
    bottom: 30px;
    right: 30px;
    transition: background-color .3s, 
        opacity .5s, visibility .5s;
    opacity: 0;
    visibility: hidden;
    z-index: 1000;
}
#backToTop::after {
    content: "\f077";
    font-family: FontAwesome;
    font-weight: normal;
    font-style: normal;
    font-size: 2em;
    line-height: 50px;
    color: #fff;
}
#backToTop:hover {
    cursor: pointer;
    background-color: #333;
}
#backToTop:active {
    background-color: #555;
}
#backToTop.show {
    opacity: 1;
    visibility: visible;
}
/*-------------------News Feed -------------------*/
.newsItem{
    margin: 10px;
}

.newsItem img{
    width: 100%;
    height: auto;
}

/*-------------------Recommendations-------------------*/
.frontPageRecommendationItem{
    margin: 10px;
}

.frontPageRecommendationItem img{
    width: 100%;
    height: auto;
}

/*-------------------Advertisements----------------------*/
.advertisementsSection{
    display: flex;
    flex-wrap: wrap;
}

.advertisementsSection .title{
    flex: 0 0 40%;
    align-self: center;
}

.advertisementsSection .advertisement{
    flex: 1;
}

@media screen and (max-width: 600px){
    .advertisementsSection .title{
        flex: 0 0 100%;
    }
    .advertisementsSection .advertisement{
        flex: 0 0 100%;
    }
} 
